package gcewing.lighting;

import java.util.ArrayList;
import net.minecraft.src.*;
import net.minecraft.src.forge.*;

public class BlockFloodlight extends Block implements ITextureProvider {

	public BlockFloodlight(int id) {
		super(id, 0, Material.rock);
	}
	
	public String getTextureFile() {
		return "/gcewing/lighting/resources/textures.png";
	}
	
	public int getBlockTextureFromSideAndMetadata(int side, int data) {
		int base = blockIndexInTexture;
		if (data > 0)
			base += 3;
		switch (side) {
			case 0: return base; // bottom
			case 1: return base + 2; // top
			default: return base + 1; // sides
		}
	}

	public void addCreativeItems(ArrayList itemList) {
		itemList.add(new ItemStack(this, 1));
	}
	
	public void onBlockAdded(World world, int x, int y, int z) {
		GregsLighting.updateFloodlightBlock(world, x, y, z);
	}

	public void onBlockRemoval(World world, int x, int y, int z) {
		GregsLighting.updateFloodlightBlock(world, x, y, z);
	}

	public void onNeighborBlockChange(World world, int x, int y, int z, int neighborBlockID) {
		GregsLighting.updateFloodlightBlock(world, x, y, z);
	}

}
